yum update rpm

I had recently upgraded from fc9 to fc11 and after that I installed updates then on wards yum is not working. What ever I try to do I am getting following error :
/usr/lib/yum-plugins/fedorakmod.py:25: DeprecationWarning: the sets module is deprecated
from sets import Set
Loaded plugins: aliases, allowdowngrade, changelog, dellsysidplugin2, fastestmirror, fedorakmod, filter-data, keys, merge-conf, priorities,
: protectbase, refresh-packagekit, refresh-updatesd, remove-with-leaves, rpm-warm-cache, security, tmprepo, tsflags, upgrade-
: helper, verify, versionlock
Traceback (most recent call last):
File “/usr/bin/yum”, line 29, in
yummain.user_main(sys.argv[1:], exit_code=True)
File “yummain.py”, line 309, in user_main
errcode = main(args)
File “yummain.py”, line 157, in main
base.getOptionsConfig(args)
File “cli.py”, line 189, in getOptionsConfig
self.conf
File “/usr/lib/python2.6/site-packages/yum/__init__.py”, line 649, in
conf = property(fget=lambda self: self._getConfig(),
File “/usr/lib/python2.6/site-packages/yum/__init__.py”, line 237, in _getConfig
startupconf.pluginconfpath,disabled_plugins,enabled_plugins)
File “/usr/lib/python2.6/site-packages/yum/__init__.py”, line 408, in doPluginSetup
plugin_types, confpath, disabled_plugins, enabled_plugins)
File “/usr/lib/python2.6/site-packages/yum/plugins.py”, line 162, in __init__
self.run(‘config’)
File “/usr/lib/python2.6/site-packages/yum/plugins.py”, line 179, in run
func(conduitcls(self, self.base, conf, **kwargs))
File “/usr/lib/yum-plugins/tmprepo.py”, line 179, in config_hook
parser.values.tmp_repos = []
AttributeError: OptionGroup instance has no attribute ‘values’

can any one help me

yum update rpm

స్పందించండి

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / మార్చు )

Twitter picture

You are commenting using your Twitter account. Log Out / మార్చు )

Facebook photo

You are commenting using your Facebook account. Log Out / మార్చు )

Google+ photo

You are commenting using your Google+ account. Log Out / మార్చు )

Connecting to %s